# Bloat

Bloat is a very wide term that in the context of software and technology means extreme growth of software in terms of source code size, complexity, dependencies, useless features and resource usage, all of which lead to inefficiency, bad-design, bugginess, security vulnerabilities, loss of freedom, obscurity and ugliness. Bloat is bad. Creating bloat is a very, very bad engineering. Unfortunately bloat is absolutely taking over all technology nowadays.

[Based software](based_software.md), [suckless](suckless.md) and others are trying to address this issue and write software that is good, minimal, safe, efficient and well functioning.

## Example of Bloat

- [Web](web.md) since the onset of "web 2.0" has been steadily becoming more and more bloated with things such as Adobe Flash and [JavaScript](javascript.md). By today the situation about web bloat is reaching almost unbearable levels, especially in modern sites such as [YouTube](youtube.md). For a great read see [The Website Obesity Crisis](https://idlewords.com/talks/website_obesity.htm).
- Ads, [spyware](spyware.md), [DRM](drm.md), anti-cheats, anti-viruses, anti-repair and other anti-user "features" are bloat.
- Desktop environments such as [KDE](kde.md) and [GNOME](gnome.md). The concept of a desktop environment itself is often considered bloat.
- [Windows](windows.md).
- TODO
